Page MenuHomePhabricator

Partially blocked users should be able to rename/move pages (outside their block)
Closed, ResolvedPublic3 Story Points

Description

Problem

This was tested on the beta environment on October 29, 2018 and reproduced on Test Wiki.

Users can rename (aka move) pages:

Defect: On the beta environment, if a user is partially blocked they cannot rename any page. https://en.wikipedia.beta.wmflabs.org/wiki/Special:MovePage/Argos_(dog)


Expected behavior

  • If a user is partially blocked from a page they should be allowed to rename all other pages except for the blocked page(s).
    • For example, if a user is blocked from Mars they should be able to rename Earth but not be able to rename Mars

Event Timeline

Restricted Application added subscribers: MGChecker, Aklapper. ยท View Herald TranscriptOct 29 2018, 10:35 PM
TBolliger triaged this task as Medium priority.Oct 29 2018, 10:43 PM
TBolliger set the point value for this task to 3.

Needs to check to and from โ€” moving from a blocked page and moving to a blocked page/namespace.

TBolliger renamed this task from Partially blocked users should be able to rename pages to Partially blocked users should be able to rename/move pages (outside their block).Nov 7 2018, 5:19 PM
TBolliger updated the task description. (Show Details)
TBolliger added subscribers: SPoore, Oshwah, Thryduulf, dbarratt.
dbarratt changed the task status from Open to Stalled.Nov 8 2018, 10:23 PM
dbarratt moved this task from Ready to Review on the Anti-Harassment (AHT Sprint 33) board.

We can mark this as resolved once the corresponding technical task is closed.

TBolliger closed this task as Resolved.Nov 15 2018, 5:48 PM
TBolliger moved this task from Review to Done on the Anti-Harassment (AHT Sprint 33) board.